//
// GameX - Primary Header File
// Release 5.0 beta
// *See Official home page: http://www.lightlink.com/cc/gamex for release history.
// 
// Copyright (C) 2002 - Rama C. Hoetzlein
// Contributions:
//      Justin Pease (Oct, 03) - Hardware acceleration, game loop timing, BMP loader, MIDI support
// 
// This software is released under the GameX GNU GPL 
// Open Source Liscense. See the GameX documentation included
// with this source code for terms of modification, 
// distribution and re-release. 
// 

#ifndef _GAMEX_H_
#define _GAMEX_H_

// Release 1 (July 10th, 2002)
#include "gamex-win-dx.hpp"
#include "gamex-image.hpp"

// Release 2 (July 16th, 2002)
#include "gamex-vector.hpp" 
#include "gamex-matrix.hpp"
#include "gamex-camera.hpp"

// Release 3 (Oct 20th, 2002)
#include "gamex-sound.hpp"

#endif // _GAMEX_H_

// The following library files must be included for the project linker:
// ddraw.lib
// dsound.lib
// dinput.lib
// dxguid.lib
// (in addition to the other lib files normally required for Windows applications)